name: admin_desktop
description: A new Flutter project.

publish_to: 'none' # Remove this line if you wish to publish to pub.dev

version: 1.0.0+2

environment:
  sdk: '>=3.5.0 <4.0.0'

dependencies:
  flutter:
    sdk: flutter
  dio: ^5.5.0
  msix: ^3.16.7
  intl: ^0.19.0
  lottie: ^3.1.2
  ftoast: ^2.0.0
  get_it: ^7.7.0
  chewie: ^1.8.1
  shimmer: ^3.0.0
  fl_chart: ^0.69.0
  auto_route: ^9.2.2
  colornames: ^0.1.0
  geolocator: ^13.0.1
  flutter_svg: ^2.0.10
  file_picker: ^8.0.6
  google_fonts: ^6.2.1
  image_picker: ^1.1.2
  video_player: ^2.8.1
  url_launcher: ^6.3.0
  image_cropper: ^8.0.2
  osm_nominatim: ^3.0.0
  dotted_border: ^2.1.0
  firebase_core: ^3.6.0
  multi_dropdown: ^2.1.4
  auto_size_text: ^3.0.0
  pull_to_refresh: ^2.0.0
  bitsdojo_window: ^0.1.6
  flutter_isolate: ^2.0.4
  webview_flutter: ^4.8.0
  flutter_archive: ^6.0.3
  flutter_riverpod: ^2.5.1
  flutter_slidable: ^3.0.1
  phone_text_field: ^0.0.7
  connectivity_plus: ^6.0.5
  percent_indicator: ^4.2.3
  freezed_annotation: ^2.4.4
  flutter_screenutil: ^5.9.3
  shared_preferences: ^2.2.3
  remixicon_updated: ^1.0.3
  drag_and_drop_lists: ^0.4.1
  firebase_messaging: ^15.1.3
  flutter_colorpicker: ^1.1.0
  google_maps_flutter: ^2.7.0
  proste_indexed_stack: ^0.2.4
  cached_network_image: ^3.3.1
  calendar_date_picker2: ^1.1.5
  flutter_esc_pos_utils: ^1.0.0
  flutter_advanced_switch: ^3.1.0
  flutter_staggered_animations: ^1.1.1
  fluttertoast: ^8.2.6
  easy_date_timeline: ^1.1.3
  network_info_plus: ^6.0.2
  ping_discover_network_forked: ^0.0.1


dev_dependencies:
  flutter_test:
    sdk: flutter
  freezed: ^2.4.9
  build_runner: ^2.4.11
  flutter_lints: ^5.0.0
  auto_route_generator: ^9.0.0
  flutter_launcher_icons: ^0.14.1


flutter_icons:
  android: true
  ios: true
  mac: true
  remove_alpha_ios: true
  image_path: 'assets/images/png/app_logo.png'
  windows:
    generate: true
    image_path: "assets/images/png/app_logo.png"
    icon_size: 48 #
msix_config:
    display_name: Demand24 POS
    publisher_display_name: Githubit
    identity_name: com.yelpos.pos
    msix_version: 1.0.0.0
    logo_path: D:\StudioProjects\foodyman_pos\assets\images\png\app_logo.png

flutter:
  uses-material-design: true
  assets:
    - assets/images/png/
    - assets/svg/
    - assets/lottie/
    - assets/
    - assets/images/
